%bcond_with check

%global goipath         github.com/go-resty/resty
Version:                2.7.0

%gometa

%global goaltipaths     github.com/go-resty/resty/v2

%global common_description %{expand:
Simple HTTP and REST client library for Go.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Simple HTTP and REST client library

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(golang.org/x/net/publicsuffix)

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall


%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.0-1
- initial build
